Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Backport ruby core to 1.4 stable branch #107

Merged
merged 24 commits into from May 15, 2019
Merged

Backport ruby core to 1.4 stable branch #107

merged 24 commits into from May 15, 2019

Conversation

@hsbt
Copy link
Member

hsbt commented May 13, 2019

I picked license update commits and ruby core changes for 1-4-stable branch. When it was merged this branch, We can merge racc-1.4.x to ruby core.

hsbt and others added 24 commits May 8, 2019
  platforms where pointer is bigger than int.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@26882 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@27437 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
  method and avoid __send__.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@29789 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35763 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39080 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@40825 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39050 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
  [Bug #9077]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43618 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
* include/ruby/ruby.h (RB_BLOCK_CALL_FUNC_ARGLIST): for declaration
  argument list of rb_block_call_func.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43910 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
* ext/bigdecimal/bigdecimal.c (BigDecimal_new): use PRIsVALUE for
  rb_raise() and rb_warn().
* ext/openssl/ossl_cipher.c (ossl_cipher_init): ditto.
* ext/racc/cparse/cparse.c (extract_user_token): ditto.
* ext/syslog/syslog.c (mSyslog_log): ditto.

* ext/openssl/ossl.h (OSSL_Check_Kind, OSSL_Check_Instance): now
  ossl_raise() also accepts PRIsVALUE.
* ext/openssl/ossl_asn1.c (ossl_asn1_default_tag):

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44579 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
  Patch by Giorgos Tsiftsis [Bug #9429] [ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44696 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
* ext/racc/cparse/cparse.c (Init_cparse): Racc::CparseParams is a
  private class, undefine allocate and initialize methods.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47739 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
* ext/racc/cparse/cparse.c (cparse_params_type): use typed data.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48689 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
* lib/racc/rdoc/grammar.en.rdoc: [DOC] fix typo, "convertion" to
  "conversion".  [Fix GH-1016]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@51854 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
  [fix GH-1053][ci skip] Patch by @Matrixbirds

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@52120 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
* lib/racc/rdoc/grammar.en.rdoc: Grammatical errors fixed.
  [Fix GH-1070]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@52288 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
When you change this to true, you may need to add more tests.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53141 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
* common.mk (compile.o, loadpath.o): update dependencies.

* common.mk (vm_call.o): remove stale object dependencies.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55589 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Patch by: Chris Tweedie <cltweedie@gmail.com> (@cltweedie)
Signed-off-by: Akira Matsuda <ronnie@dio.jp>

closes #1074

[ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56680 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
  These are detected by https://github.com/client9/misspell

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60359 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
[#15206] [Fix GH-1976]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65505 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
* lib/racc/parser.rb: reverted r65505.  require_relative does
  not work for racc/cparse.so, as extension libraries are placed
  in other directories than Ruby libraries.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65514 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
@@ -76,10 +76,9 @@
== ライセンス

このパッケージに付属するファイルの著作権は青木峰郎が保持します。

This comment has been minimized.

Copy link
@shyouhei

shyouhei May 14, 2019

Member

You must get @aamine's approval before merging this. As you can see he has the copyright. You must not bend human rights of someone else.

This comment has been minimized.

Copy link
@hsbt

hsbt May 14, 2019

Author Member

I already to get approval from aamine. #105 (comment)

Is it not enough?

This comment has been minimized.

Copy link
@shyouhei

shyouhei May 14, 2019

Member

Yes, definitely. I was not aware of that comment.

@hsbt hsbt merged commit 2921297 into 1-4-stable May 15, 2019
0 of 2 checks passed
0 of 2 checks passed
continuous-integration/travis-ci/pr The Travis CI build could not complete due to an error
Details
continuous-integration/travis-ci/push The Travis CI build could not complete due to an error
Details
@hsbt hsbt deleted the backport-ruby-core-1-4 branch May 15, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
10 participants
You can’t perform that action at this time.